I want to insert a stored block into a drawing (model space). Below is the code I'm using and I get
Runtime Error '5': Invalid procedure call or argument.
Sub Dummy() Dim COESTD_obj As AcadBlockReference, InsPtStd(0 To 2) As Long, COESTD As String COESTD = "C:JimHYDROCAD_DwgsBlocksZ_COE_STDS.dwg" InsPtStd(0) = 0#: InsPtStd(1) = 0#: InsPtStd(2) = 0# 'Set insertion point as 0,0,0 Set COESTD_obj = ThisDrawing.ModelSpace.InsertBlock(InsPtStd, COESTD, 1#, 1#, 1#, 0#) End Sub
I have a block containing several parts blocks. When I explode the main block all of the parts are exploded back to lines. I have used both "explode" and "xplode" and have the same results. How can I explode so I have my components as blocks?
I have a parent symbol (symbolA) that contain another symbol (symbolB). when I click on the inner symbolB, I want to make it switch with a third symbol (symbolC) always inside the symbolA.
I downloaded the new trial Corel X6 installed on win 7 64-bit.I have trouble working with transparencies inside a symbol. It also does not work if it is power-clipped inside a symbol. The error message is as follows:
This item cannot be stored inside a Symbol. The item must be removed in order to be able to finish editing this symbol. this same procedure does not work in Corel X5 oddly enough it works in Corel X4.
i can't drag a block from the design center into any drawing. i have to go into the design center right click on the block, click copy, then go back to my drawing and paste the block. this has just started happen, before i was able to drag and drop with no problem. there is no error message the only thing that happens when i try to drag a block from the design center is when i'm back in the drawing the cross hair has a circle.
What I need to know is, will the drawing sheets/titleblocks attributes etc, I have created to insert in AutoCAD work in Civils 3d or will i need to create separate ones.
We have a large project that we converted from 2012 to 2013 - it had always been a little buggy in 2012 as it was a piece together from another consultant. Now though, it is extremely slow and there seems to be a 'block reference' around every block in the drawing. You can drag your select window and they all pop up like crazy and slow things down immensely (see screen capture). You can select them individually, they have nodes on all 4 corners and to move them, scales your block up and down. I tried block replace to our blocks which we know are fine and same problem. It also seems to be drawing specific although audit is clean.
I'm using C3D 2013. I received a survey drawing (unknown version) from a third party. I tried both xref'ing and inserting as block into my drawing and it was over 7,100' SW from my site. BUT when I copy from 0,0,0 in his drawing and paste 0,0,0 in my drawing, it lands on my site. If I xref my drawing into his drawing, it lands on his survey information. Why doesn't his drawing land on my site when I xref or insert as block?
I am using the volumes dashboard extension in Civil3d 2012. Where the style sheet for displaying the report is stored? I want to modify to be a bit nicer!
I have attached the block for reference. Now that I have found the error of my way with the annotative cutline. I have a slab-on-grade block that needs to have annotative hatches; I also need the cutline to be annotative and dynamic so that as the drawing scale changes the scale of the cutline will be match and I can adjust the length of the extension lines. I have made the cutline a nested annotative and dynamic block within the slab-on-grade block. When I insert the block into my drawing the cutline is annotative and the dynamic grips show up but they do not work.
I have a need to send files saved from Inventor.dwg to AutoCAD.dwg to suppliers, however due to the quantity of files "size", I need to purge them in Autocad before I e-mail. The problem I have is that my template Inventor.dwg is 1 mg due to Sketch Symbols, plus added file size for the views etc. When I get to Autocad to purge them, my Sketch Symbols and Title Block is on the "0" Layer. I have to select everything that is on the "0" Layer and change the layer to a different layer to start a LISP routine that does a, Erase All, Purge All, to get my file size down. I have not found a way to change the layer that Sketch Symbols are created on or reside on by default or Title Block either.
Any way to do this Inside the Sketch Symbols, inside the Title Block, using the styles, anything?
I am just now going through a iLogic course and read that Layers can be hidden. Can iLogic be used to change the layer of "SketchSymbols" or "TitleBlocks" and or used to purge all Sketch Symbols during the SaveAs to Autocad.dwg process?
There are many examples of creating rectangular patterns, but not many, if any, of interrogating existing patterns.I have attached the files and a screenshot of a rectangular part inside an assembly. The part contains a rectangular pattern of holes and workplanes.how do I get hold of each proxy of the workplane in the pattern?In other words I don't know what to put in the for loop at the end of this code fragment:
If _invApp.Documents.Count = 0 Then MsgBox("Need to open an the assembly document") ReturnEnd If If _invApp.ActiveDocument.DocumentType <> DocumentTypeEnum.kAssemblyDocumentObject Then MsgBox("Need to have an Assembly document active") ReturnEnd If Dim asmDoc As Assembly Document asmDoc = _invApp.ActiveDocument Dim asmDef As AssemblyComponentDefinition asmDef = asmDoc.ComponentDefinition im occurrences As ComponentOccurrencesoccurrences. [code]....
We are using both AutoCAD 2013 and AutoCAD LT 2013, and are having some difficulties doing something that seems reasonable...
Basically, we made a block that has the following attributes:
LENGTH ORDER CUT-OFF MATERIAL CUT-LENGTH CUT-WEIGHT CUT-PER-FOOT
When we define this block, we set the value for "CUT-WEIGHT' as (CUT-LENGTH - WEIGHT-PER-FOOT) and "CUT-LENGTH" as (LENGTH - CUT-OFF)
Those formulas work when we initially create the block. The goal is to be able to change the "LENGTH" and "CUT-OFF" attributes, and have the block automatically calculate the CUT-WEIGHT and CUT-LENGTH based on those values.
The issue is that once the block is created, the formulas no longer work. We have tried Update Fields, we have tried REGEN, REGENALL and more, but nothing seems to work. The only thing we have been able to do is define the block, then basically create the block a second time, with those respective attributes being linked to the initial block, which is both not ideal, and created other problems.
I am attaching a copy of one such block, how to make this block work properly.
The final use of this block is to insert it into Shop Drawings for our Companies Products and then link the block to a table that shows the values of the blocks as a Bill of Materials.
I am unable to currently upload a copy of any Shop Drawings, but if need be, I could ask for a "Dummy" Shop Drawing that I could upload.
I am trying to make a block with text inside in it. I need the text to rotate at 0 no matter what degree I insert the block into my drawing. For example the type of blocks I use are for fire alarm in which need to go onto different sides of the walls so I need a base point in which I can insert the block at but the text to always rotate back at 0.
I have created various symbols to be placed into drawings when required, rather than having to re-create the same sketch every time the drawing is produced.
When I place the symbol I am given the option to select where to insert it, based on the insertion point. The problem is... once the symbol is placed there is no way (that I can figure out) to constrain to the view or dimension to it.
If there is a British standards for drawing symbols for electrical, fire, security, lighting etc. Seen so many different ones to use and is there a web site i can go on that would show me the correct symbols i should use.
The company I am working for has dragged their CAD kicking and screaming into the late nineties and have upgraded to 3D! Recreate their drawings using 3D models, I have noticed the symbol gallery doesn't provide such things as Rev Balloons or Rev Triangles.
I am trying to align all of the text inside of a block and have it actually align the text instead of having it keep it original position (like when you use "Justifytext" command). For example: We use blocks for fire alarm devices that we insert into drawings. When the devices are inserted they look like this (Middle left):
15CD TBD TBD 1/4W
I can double click each line of these texts, have the eattedit window pop up, go to "text options" tab, click the drop down menu for "Justification:" and then choose my justification(middle right); then the text will actually move to align itself with my justification, causing my text to end up like this:
15CD ..TBD (Roughly like this, only perfectly straight vertically on the right hand side) ..TBD (ignore the dots, i had to insert them for the spacing to be correct for 1/4W this example)
When I type "Justifytext", select my block, choose my justification (Middle right), just the snap point moves to that justification without the text actually moving at all, causing my text to end up like this:
I've made this block . when i rotate the vertical line I need to add lines every 15° as you see in the image, i've seen that polar array is not possible in the dynamic blocks.
I was looking to change the fonts in a drawing for the Dimensions and Symbols that might have been inserted in the Dimension text entries.
This can be done manually bu editing the dimentions text after placemement, but I was ooking to set this as a default.. I cannot see where exactly this is controlled in the Styles Manager - I am only able to change the Dimension text font but the diameter symbol font is always on AIGDT.
I was therefore looking for an iLogicvb code that could do the trick, but I am not able to even change the dimension fonts... The code runs with no errors but nothing gets updated in the drawing...
Dim oDoc As DrawingDocument oDoc = ThisApplication.ActiveDocument Dim oSheet As Sheet oSheet = oDoc.ActiveSheet
Is there a way (or a “trick”) to have one attribute at two different locations inside of one block (I want to avoid filling in the same text twice when this block is inserted or edited)?
I have a simple block with 2 attribute and 1 line inside it.
something like this:
Attribute1
──────
Attribute2
I want to modify length of line due to width of thoes attributs. length of line is equal to maximum(width attribute1 and width attribute2).
dxf code for start point of a line is 10 and end point for a line entity is 11.The question is: how can I modify the length of line automatically via maximum width of these attributes?
I have the following code to redefine a block after a command has ended:
(vl-load-com);*********************************************************(defun Redefine() (command "_.INSERT" "reactortest=reactortest" nil)(princ "Block redefined."));****************************************(vlr-command-reactor nil '((:vlr-commandEnded . endCommand)));******************************************************(defun endCommand (calling-reactor endcommandInfo / thecommandend) ; Get the name of the command.(setq thecommandend (nth 0 endcommandInfo)); Check name of the command.(cond ((= thecommandend "PLINE") (Redefine)));cond(princ));defun(princ)
It doesn't work because INSERT is an interactive function and can't be called while a reactor is active. Is there another way to redefine a block that can be used in a reactor? The block is in one of the default search path's.
when i export (or explode) my plan every window, doors etc... split in more "under-blocks", and that's ok. but i have a problem with the windows: after the explode command, one of the blocks inside (the one that shows the opening side) "jump" in the 0,0,0 coordinates point, but all the others remain in the right position.
PS: i think the problem is not in the window-block, because i tried it in another old file, and it works. and the autocad option are also always the same.
When working in a drawing, I don't see a selection for weld symbols in Annotate - Symbols. Are they not available in LT? Is there something I need to do to activate them?
My drawing- block is a little bit complicated, it contains few actions and parameters and everytime i open block editor to add, or to modify some action I can't see my drawing because actions grips and parameters grips obscure my drawing. I tried to refresh layout but it doesn't work.